#include <bits/stdc++.h>

using namespace std;
const int maxn=(int)1e6+1;
int a[maxn],n,k,kk;
map<int,int>mapa;
int main()
{
    scanf("%d%d",&n,&k);
    for(int i=1;i<=n;i++)
    {
        scanf("%d",&kk);
        mapa[kk]++;
    }
    for(auto itr:mapa)
    {
      //  cout<<itr.second;
        if(itr.second>=k) printf("%d ",itr.first);
    }
    return 0;
}